Create Kubernetes Rest Token

Create Kubernetes Rest Token

Create Kubernetes REST API access tokens

Request
URI
POST
https://{api_host}/admin/hybridity/api/authz/proxy/tokens/nf/rest
COPY
Header Parameters
boolean
X-Enable-Token-Reuse
Optional

This header signals to try to reuse an existing token with sufficient lease time instead creating a new one.


Request Body

request payload.

nfRestTokenReq of type(s) application/json
Required
{
    "cnfId": "string"
}
string
cnfId
Required

cnfId

Responses
200

Successfully created REST API access token

Returns nfRestToken of type(s) application/json
{
    "id": "string",
    "cnfId": "string",
    "cnfName": "string",
    "purpose": "string",
    "createdAt": "string",
    "expiresAt": "string",
    "username": "string",
    "token": "string",
    "used": false
}
string
id
Required

id

string
cnfId
Required

cnfId

string
cnfName
Required

cnfName

string
purpose
Required

purpose

string As date-time As date-time
createdAt
Required

createdAt

string As date-time As date-time
expiresAt
Required

expiresAt

string
username
Required

username

string
token
Required

token

boolean
used
Required

used

Response Headers

boolean
X-Token-Reused

Has token been reused


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors